Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

TypeError: close() got an unexpected keyword argument 'force_after' #557

Closed
shsmith opened this issue Aug 6, 2018 · 1 comment

Comments

@shsmith
Copy link
Contributor

commented Aug 6, 2018

This happened in HEAD.

Aug 06 14:42:39 hsmiths-ubuntu systemd[1]: Stopping Electrumx...
Aug 06 14:42:41 hsmiths-ubuntu electrumx_server[20522]: INFO:ElectrumX:[946] TCP 123.51.190.194:54296, 23 total
Aug 06 14:42:41 hsmiths-ubuntu electrumx_server[20522]: INFO:ElectrumX:[947] TCP 123.51.190.194:49658, 24 total
Aug 06 14:43:07 hsmiths-ubuntu electrumx_server[20522]: WARNING:Controller:received SIGTERM signal, initiating shutdown
Aug 06 14:43:31 hsmiths-ubuntu electrumx_server[20522]: INFO:ElectrumX:[953] TCP 123.51.190.194:54416, 19 total
Aug 06 14:43:31 hsmiths-ubuntu electrumx_server[20522]: INFO:ElectrumX:[954] TCP 104.14.82.238:59702, 20 total
Aug 06 14:43:31 hsmiths-ubuntu electrumx_server[20522]: INFO:ElectrumX:[955] TCP 123.51.190.194:49664, 21 total
Aug 06 14:43:31 hsmiths-ubuntu electrumx_server[20522]: INFO:Controller:shutting down
Aug 06 14:44:24 hsmiths-ubuntu electrumx_server[20522]: INFO:ElectrumX:[965] TCP 123.51.190.194:54518, 23 total
Aug 06 14:44:24 hsmiths-ubuntu electrumx_server[20522]: INFO:ElectrumX:[966] TCP 123.51.190.194:49668, 24 total
Aug 06 14:44:47 hsmiths-ubuntu electrumx_server[20522]: INFO:SessionManager:closing down RPC, TCP, SSL listening servers
Aug 06 14:44:47 hsmiths-ubuntu electrumx_server[20522]: INFO:BlockProcessor:flushing to DB for a clean shutdown...
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: ERROR:root:task crashed: <Task finished coro=<SessionManager.serve() done, defined at /usr/local/lib/python3.6/dist-packages/electrumX-1.8-py3.6.egg/electrumx/server/session.py:405> exception=TypeError("close() got an unexpected keyword argument 'force_after'",)>
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: Traceback (most recent call last):
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/electrumX-1.8-py3.6.egg/electrumx/server/session.py", line 434, in serve
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     await group.spawn(self._restart_if_paused())
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/aiorpcX-0.6.2-py3.6.egg/aiorpcx/curio.py", line 263, in __aexit__
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     await self.join(wait=self._wait)
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/aiorpcX-0.6.2-py3.6.egg/aiorpcx/curio.py", line 219, in join
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     task = await self.next_done()
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/aiorpcX-0.6.2-py3.6.egg/aiorpcx/curio.py", line 170, in next_done
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     await self._done_event.wait()
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/lib/python3.6/asyncio/locks.py", line 283, in wait
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     yield from fut
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: concurrent.futures._base.CancelledError
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: During handling of the above exception, another exception occurred:
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: Traceback (most recent call last):
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/aiorpcX-0.6.2-py3.6.egg/aiorpcx/util.py", line 118, in check_task
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     task.result()
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/electrumX-1.8-py3.6.egg/electrumx/server/session.py", line 441, in serve
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     await group.spawn(session.close(force_after=0.1))
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: TypeError: close() got an unexpected keyword argument 'force_after'
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: ERROR:TaskGroup:task crashed: <Task finished coro=<SessionManager.serve() done, defined at /usr/local/lib/python3.6/dist-packages/electrumX-1.8-py3.6.egg/electrumx/server/session.py:405> exception=TypeError("close() got an unexpected keyword argument 'force_after'",)>
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: Traceback (most recent call last):
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/electrumX-1.8-py3.6.egg/electrumx/server/session.py", line 434, in serve
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     await group.spawn(self._restart_if_paused())
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/aiorpcX-0.6.2-py3.6.egg/aiorpcx/curio.py", line 263, in __aexit__
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     await self.join(wait=self._wait)
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/aiorpcX-0.6.2-py3.6.egg/aiorpcx/curio.py", line 219, in join
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     task = await self.next_done()
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/aiorpcX-0.6.2-py3.6.egg/aiorpcx/curio.py", line 170, in next_done
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     await self._done_event.wait()
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/lib/python3.6/asyncio/locks.py", line 283, in wait
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     yield from fut
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: concurrent.futures._base.CancelledError
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: During handling of the above exception, another exception occurred:
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: Traceback (most recent call last):
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/aiorpcX-0.6.2-py3.6.egg/aiorpcx/util.py", line 118, in check_task
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     task.result()
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/aiorpcX-0.6.2-py3.6.egg/aiorpcx/util.py", line 118, in check_task
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     task.result()
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:   File "/usr/local/lib/python3.6/dist-packages/electrumX-1.8-py3.6.egg/electrumx/server/session.py", line 441, in serve
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]:     await group.spawn(session.close(force_after=0.1))
Aug 06 14:45:39 hsmiths-ubuntu electrumx_server[20522]: TypeError: close() got an unexpected keyword argument 'force_after'
Aug 06 14:45:40 hsmiths-ubuntu electrumx_server[20522]: INFO:Controller:shutdown complete
Aug 06 14:45:42 hsmiths-ubuntu systemd[1]: Stopped Electrumx.

Aug 06 14:45:42 hsmiths-ubuntu systemd[1]: Started Electrumx.
Aug 06 14:46:08 hsmiths-ubuntu electrumx_server[10453]: INFO:Controller:Python version: 3.6.5 (default, May  3 2018, 10:08:28)
Aug 06 14:46:08 hsmiths-ubuntu electrumx_server[10453]: [GCC 5.4.0 20160609]
Aug 06 14:46:08 hsmiths-ubuntu electrumx_server[10453]: INFO:Controller:software version: ElectrumX 1.8
Aug 06 14:46:08 hsmiths-ubuntu electrumx_server[10453]: INFO:Controller:aiorpcX version: 0.6.2
@kyuupichan

This comment has been minimized.

Copy link
Owner

commented Aug 7, 2018

Hmm - it's there in the close function in the same file ... excecpt not for the RPC sessions - is there any chance this server had an RPC session active?

I'll push a change to fix that; the method just needs to be hoisted to the base class. Let me know if it goes away

@kyuupichan kyuupichan closed this in 74e6fe4 Aug 7, 2018

shyba added a commit to lbryio/electrumx that referenced this issue Oct 16, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.